読者です 読者をやめる 読者になる 読者になる

thold プラグインのアップデート失敗と RPN Expression

cacti の thold プラグインを 0.4.3 → 0.4.9 にバージョンアップしたら、閾値に計算式が使えるようになっていたので使ってみました。 作業時の環境 OS CentOS 5 (2.6.18-308.8.1.el5) php 5.3.12 mysql 5.0.95 cacti 0.8.7g → 0.8.8a thold 0.4.3 → 0.4.9 se…

Cactiのデータソースの最大値をrrdtoolで修正する

サーバにメモリを増設したところcactiでメモリの空き容量が表示されなくなりました。メモリを増設したことで空き容量が増え、cactiの「ucd/net - Memory - Free」データテンプレートの「Maximum Value」よりも値が大きくなったことが原因の様な気がしたので…

CentOS5でrpmforgeからCactiを入れているときにphpを5.3に変更する

CentOS5 で rpmforge から Cacti をインストールしていると、依存関係で php 5.1 がインストールされます(CentOS5 の php パッケージ)。この状態で php のバージョンを 5.3 に上げるために php53 パッケージをインストールしようとしても競合でインストー…

spineで独自スクリプトのデータが取得できない

cactiにspineを導入してみたところ、独自に作成していた "Data Input Methods" が "Script/Command" なスクリプトでデータが取得できなくなりました。 原因はスクリプトの出力が、下記のように行の終端に半角スペースが含まれているためでした(配列を forea…